libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::ipa::AwbResult Class Reference

The result of an AWB calculation. More...

Collaboration diagram for libcamera::ipa::AwbResult:
[legend]

## Public Attributes
RGB< double > | gains
| The calculated white balance gains.
double | colourTemperature
| The calculated colour temperature in Kelvin.

## Detailed Description

The result of an AWB calculation.

This class holds the result of an auto white balance calculation.

The documentation for this class was generated from the following files:

- src/ipa/libipa/awb.h
- src/ipa/libipa/awb.cpp